package nand.apps.chat.engine.mux

import nand.apps.chat.engine.ChatEngine
import nand.apps.chat.engine.ChatEngineCommandHandler
import org.koin.core.Koin

class ChatEngineCommandHandlerMux(koin: Koin) : ChatEngineCommandHandler {

    private val chatEngine: ChatEngine by koin.inject()

    override fun onCommand(command: String, args: List<String>, fullArgs: String) =
        chatEngine.commandHandler.onCommand(command, args, fullArgs)
}