package nand.apps.chat.ui.chat.message.input

import androidx.compose.ui.text.input.TextFieldValue
import androidx.compose.ui.text.input.TransformedText

sealed class MessageInputAction

data class UpdateTextAction(
    val textField: TextFieldValue,
    val stylizedText: TransformedText,
) : MessageInputAction()

data object ClearFocusAction : MessageInputAction()