package nand.apps.chat.ui.dialog.audio

import nand.apps.chat.model.audio.AudioMetadata

data class AudioRecorderDialogState(
    val filePath: String,
    val bitRate: Int,
    val metadata: AudioMetadata?,
    val shouldEncrypt: Boolean,
    val isActive: Boolean = false,
    val isPathValid: Boolean = false,
    val recordDurationSecs: Double = 0.0,
    val isSharedRecorderActive: Boolean = false,
)
