package nand.apps.chat.ui.groups

import nand.apps.chat.model.group.ChatGroupRole
import nand.apps.chat.model.group.ChatGroupTalkState
import nand.apps.chat.model.group.ChatGroupTalkState.*
import seers.composeapp.generated.resources.*

fun ChatGroupRole.getLabelResource() = when (this) {
    ChatGroupRole.OBSERVER -> Res.string.group_role_observer
    ChatGroupRole.USER -> Res.string.group_role_user
    ChatGroupRole.MODERATOR -> Res.string.group_role_moderator
    ChatGroupRole.FOUNDER -> Res.string.group_role_founder
}

fun ChatGroupTalkState.getLabelResource() = when (this) {
    DEFAULT -> Res.string.group_talk_state_default
    STAFF_ONLY -> Res.string.group_talk_state_staff
    FOUNDER_ONLY -> Res.string.group_talk_state_founder
}