package nand.apps.chat.ui.login

import nand.apps.chat.model.engine.ChatEngineType

data class LoginScreenState(
    val isProfileSelectorVisible: Boolean = false,
    val filePath: String? = null,
    val username: String = "",
    val host: String? = null,
    val isImportRequired: Boolean = false,
    val isRenameRequired: Boolean = false,
    val isProfileNew: Boolean = false,
    val isLoginBusy: Boolean = false,
    val isPasswordWarningVisible: Boolean = false,
    val chatEngineType: ChatEngineType = ChatEngineType.TOX,
)