package nand.apps.chat.ui.selection

import androidx.compose.runtime.Composable
import androidx.compose.runtime.NonRestartableComposable
import androidx.compose.foundation.text.selection.DisableSelection as CoreDisableSelection

@Composable
@NonRestartableComposable
fun DisableSelection(
    isEnabled: Boolean = true,
    content: @Composable () -> Unit,
) {
    if (isEnabled) {
        CoreDisableSelection(content)
    } else {
        content()
    }
}