package nand.apps.chat.ui.settings.notifications

import androidx.compose.ui.Alignment
import nand.apps.chat.model.settings.notifications.ChatWidgetPlacement

fun ChatWidgetPlacement.toAlignment() = when (this) {
    ChatWidgetPlacement.TOP_LEFT -> Alignment.TopStart
    ChatWidgetPlacement.TOP_MIDDLE -> Alignment.TopCenter
    ChatWidgetPlacement.TOP_RIGHT -> Alignment.TopEnd
    ChatWidgetPlacement.CENTER_LEFT -> Alignment.CenterStart
    ChatWidgetPlacement.CENTER_RIGHT -> Alignment.CenterEnd
    ChatWidgetPlacement.BOTTOM_LEFT -> Alignment.BottomStart
    ChatWidgetPlacement.BOTTOM_MIDDLE -> Alignment.BottomCenter
    ChatWidgetPlacement.BOTTOM_RIGHT -> Alignment.BottomEnd
}