package nand.apps.chat.audio

import nand.apps.chat.model.audio.AudioMetadata
import okio.FileSystem

class TestAudioFileWriterFactory(
    private val fileSystem: FileSystem,
) : AudioFileWriterFactory {

    override fun getFileWriter(
        path: String,
        sampleRate: Int,
        channels: Int,
        bitRate: Int,
        metadata: AudioMetadata?
    ) = TestAudioFileWriter(
        path = path,
        sampleRate = sampleRate,
        channels = channels,
        bitRate = bitRate,
        metadata = metadata,
        fileSystem = fileSystem,
    )
}