package nand.apps.chat.audio

import nand.apps.audio.AudioFrame
import nand.apps.chat.util.fifoSharedFlow

class TestAudioRecorder : AudioRecorder {

    override var isActive = false
        private set
    override val onFrame = fifoSharedFlow<AudioFrame>()

    override fun start() {
        isActive = true
    }

    override fun stop() {
        isActive = false
    }
}