package nand.apps.chat.emoji

import nand.apps.chat.model.emoji.EmojiData
import nand.apps.chat.model.emoji.EmojiGroup

class TestEmojiRepo : EmojiRepo {

    override var groups = mapOf<EmojiGroup, List<EmojiData>>()

    override suspend fun getEmojiData(emoji: String): EmojiData? {
        return null
    }

    override suspend fun getEmojis(group: EmojiGroup, filter: String): List<EmojiData> {
        return groups[group].orEmpty().filter { it.description.contains(filter, ignoreCase = true) }
    }

    override suspend fun getAnimatedEmojiSegments(text: CharSequence): List<Pair<String, String?>> {
        return emptyList()
    }
}