package nand.apps.chat.io

import okio.Path
import okio.Path.Companion.toPath

class TestFileBrowser(
    private val isBrowserSupported: Boolean,
    private val isGallerySupported: Boolean,
) : ChatFileBrowser {

    override fun isBrowserSupported() = isBrowserSupported

    override fun isGallerySupported() = isGallerySupported

    override fun launchBrowser(onFileSelected: (Path?) -> Unit) {
        onFileSelected("test/file.txt".toPath())
    }

    override fun launchGallery(onFileSelected: (Path?) -> Unit) {
        onFileSelected("test/image.png".toPath())
    }
}