package nand.apps.soxr

const val RESAMPLE_QUALITY_QUICK = 0
const val RESAMPLE_QUALITY_LOW = 1
const val RESAMPLE_QUALITY_MEDIUM = 2
const val RESAMPLE_QUALITY_16_BITQ = 3
const val RESAMPLE_QUALITY_20_BITQ = 4
const val RESAMPLE_QUALITY_24_BITQ = 5
const val RESAMPLE_QUALITY_28_BITQ = 6
const val RESAMPLE_QUALITY_32_BITQ = 7
const val RESAMPLE_QUALITY_HIGH = RESAMPLE_QUALITY_20_BITQ
const val RESAMPLE_QUALITY_VERY_HIGH = RESAMPLE_QUALITY_28_BITQ

object SoxrNative {
    
    external fun resample(
        samples: ShortArray,
        channels: Int,
        inputRate: Int,
        outputRate: Int,
        quality: Int = RESAMPLE_QUALITY_QUICK, // XXX - Increasing this may fail if OpenMP isn't supported
    ): ShortArray?
}