package nand.apps.chat.di

import nand.apps.chat.ui.widget.ChatTrayIconViewModel
import nand.apps.chat.ui.widget.ChatWidgetViewModel
import org.koin.core.module.dsl.factoryOf
import org.koin.dsl.module

fun initDesktopKoinTest() = initKoinTest {
    val modules = module {
        factoryOf(::ChatTrayIconViewModel)
        factoryOf(::ChatWidgetViewModel)
    }
    modules(modules)
}