package nand.apps.audio

import okio.Closeable

interface AudioFileReader : Closeable {

    val isOpen: Boolean
    val sampleCount: Long
    val duration: Double
    val timestamp: Double
    val channels: Int
    val sampleRate: Int

    fun seekTo(timestamp: Double): Boolean
    fun read(buffer: ShortArray): Int
}