package nand.apps.audio

import okio.Closeable

interface AudioFileWriter : Closeable {

    fun write(buffer: ShortArray, offset: Int, length: Int): Int

    fun write(buffer: ShortArray) = write(
        buffer = buffer,
        offset = 0,
        length = buffer.size,
    )
}