package nand.apps.chat.event

import kotlinx.coroutines.flow.Flow
import nand.apps.chat.model.event.ChatEvent

interface ChatEventHandler {

    val onEvent: Flow<ChatEvent>
    val isAppLoaded: Boolean

    operator fun plusAssign(event: ChatEvent) = push(event)

    fun push(event: ChatEvent)
}