package nand.apps.chat.model.avatar

import nand.apps.chat.model.emoji.Emoji
import kotlin.math.absoluteValue

data class ChatUserAvatar(
    val username: String,
    val uri: String? = null,
    val emoji: Emoji = Emoji.entries[username.hashCode().absoluteValue % Emoji.entries.size],
) : ChatAvatar(username)