package nand.apps.chat.model.uid

import nand.apps.chat.util.trimToLength

data class GroupPeerUid(
    val groupUid: GroupUid,
    val peerUid: UserUid,
) : ContactUid("${groupUid.value}-${peerUid.value}") {

    override fun toString() = "GroupPeer[${peerUid.value.trimToLength(6)}]"
}
