package nand.apps.chat.repo

import nand.apps.audio.AudioFrame
import nand.apps.chat.engine.ChatEngineCallback
import nand.apps.chat.model.uid.ContactUid
import okio.Path

interface VoicemailRepo : ChatEngineCallback {

    fun sendVoicemail(contactUid: ContactUid)

    fun removeMessages(contactUid: ContactUid)

    fun onAudioFrame(contactUid: ContactUid, frame: AudioFrame)

    fun getGreetingAudioPath(): Path
}