package nand.apps.chat.util

import kotlinx.coroutines.channels.BufferOverflow
import kotlinx.coroutines.flow.MutableSharedFlow

fun <T> fifoSharedFlow(
    replay: Int = 0,
) = MutableSharedFlow<T>(
    replay = replay,
    extraBufferCapacity = Int.MAX_VALUE,
    onBufferOverflow = BufferOverflow.DROP_OLDEST,
)