package nand.apps.chat.engine.mock

import org.koin.core.module.dsl.singleOf
import org.koin.dsl.module

fun getMockKoinModule() = module {
    single<MockChatEngine> { MockChatEngineImpl(get()) }
    singleOf(::MockProfileAuthenticator)
    singleOf(::MockChatEngineEncryption)
    singleOf(::MockChatEngineCommandHandler)
}