package nand.apps.opus

abstract class OpusFileStream {

    protected var ptr = NULL_PTR

    abstract val channels: Int
    val isOpen get() = ptr != NULL_PTR

    fun close() {
        if (isOpen) {
            closeImpl()
            ptr = NULL_PTR
        }
    }

    fun finalize() = close()

    protected abstract fun closeImpl()
}