#include <jni.h>

#ifndef mpeg_jni
#define mpeg_jni
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     nand_apps_mpeg_MpegNative
 * Method:    openFileReader
 * Signature: (Ljava/lang/String;)J
 */
JNIEXPORT jlong JNICALL Java_nand_apps_mpeg_MpegNative_openFileReader
  (JNIEnv *, jclass, jstring);

/*
 * Class:     nand_apps_mpeg_MpegNative
 * Method:    getFileInfo
 * Signature: (J)Lnand/apps/mpeg/MpegFileInfo;
 */
JNIEXPORT jobject JNICALL Java_nand_apps_mpeg_MpegNative_getFileInfo
  (JNIEnv *, jclass, jlong);

/*
 * Class:     nand_apps_mpeg_MpegNative
 * Method:    seekTo
 * Signature: (JJ)Z
 */
JNIEXPORT jlong JNICALL Java_nand_apps_mpeg_MpegNative_seekTo
  (JNIEnv *, jclass, jlong, jlong);

/*
 * Class:     nand_apps_mpeg_MpegNative
 * Method:    readSamples
 * Signature: (J[S)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_mpeg_MpegNative_readSamples
  (JNIEnv *, jclass, jlong, jshortArray);

/*
 * Class:     nand_apps_mpeg_MpegNative
 * Method:    getSamplePosition
 * Signature: (J)J
 */
JNIEXPORT jlong JNICALL Java_nand_apps_mpeg_MpegNative_getSamplePosition
  (JNIEnv *, jclass, jlong);

/*
 * Class:     nand_apps_mpeg_MpegNative
 * Method:    closeReader
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_nand_apps_mpeg_MpegNative_closeReader
  (JNIEnv *, jclass, jlong);

#ifdef __cplusplus
}
#endif
#endif
