package nand.apps.chat.embed.fourchan

import nand.apps.chat.embed.EmbedPreviewData

data class FourChanPostMetadata(
    val id: Int,
    val timestampMs: Long,
    val timestampMicro: Long,
    val timestampString: String,
    val name: String,
    val comment: String,
    val image: FourChanImageMetadata?,
    val thread: FourChanThreadMetadata,
) : EmbedPreviewData {
    
    val isOriginalPost get() = id == thread.id
}