package nand.apps.chat.net.remote.command

import kotlinx.serialization.Serializable
import kotlinx.serialization.json.JsonObject
import kotlin.uuid.ExperimentalUuidApi
import kotlin.uuid.Uuid

@Serializable
@OptIn(ExperimentalUuidApi::class)
data class ChatRemoteCommandPacket(
    val type: ChatRemoteCommandType,
    val data: JsonObject,
    val uid: String = Uuid.random().toHexString(),
)
