package nand.apps.chat.net.remote.command

enum class ChatRemoteCommandType {
    HANDSHAKE,
    SET_NAME,
    SET_STATUS,
    SEND_MESSAGE,

    // Friends
    SEND_FRIEND_REQUEST,
    ACCEPT_FRIEND_REQUEST,
    DECLINE_FRIEND_REQUEST,
    REMOVE_FRIEND,

    // Groups
    SEND_GROUP_INVITE,
    ACCEPT_GROUP_INVITE,
    DECLINE_GROUP_INVITE,
}