package nand.apps.chat.ui.emoji

import nand.apps.chat.model.emoji.EmojiData
import nand.apps.chat.model.emoji.EmojiGroup

data class EmojiPopupState(
    val isLoading: Boolean = true,
    val isSearchVisible: Boolean = false,
    val searchTerms: String = "",
    val currentGroup: EmojiGroup = EmojiGroup.SMILEYS,
    val groups: List<EmojiGroup> = emptyList(),
    val emojis: List<EmojiData> = emptyList(),
)
