package nand.apps.chat.ui.settings.item

import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.vector.ImageVector
import nand.apps.chat.ui.settings.SettingsViewModel
import org.jetbrains.compose.resources.StringResource

interface SettingsItem {

    val title: StringResource
    val description: StringResource?
    val icon: ImageVector

    @Composable
    fun GetComposable(viewModel: SettingsViewModel)
}