package nand.apps.chat.ui.settings.item

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.Settings
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.row.SettingsSeparator
import org.jetbrains.compose.resources.StringResource

class SettingsSeparatorItem(
    override val title: StringResource,
) : SettingsItem {

    override val description = title
    override val icon = Icons.Outlined.Settings

    @Composable
    override fun GetComposable(viewModel: SettingsViewModel) {
        SettingsSeparator(text = title)
    }
}