package nand.apps.chat.ui.theme

import androidx.compose.material.Shapes
import androidx.compose.material.Typography
import androidx.compose.runtime.Composable

class ChatThemeScope(
    val colors: ChatThemeColors,
    val typography: Typography,
    val shapes: Shapes,
    val dimens: ChatThemeDimensions,
)

@Composable
fun <T> ChatThemeScope(content: @Composable ChatThemeScope.() -> T) = ChatThemeScope(
    colors = ChatTheme.colors,
    typography = ChatTheme.typography,
    shapes = ChatTheme.shapes,
    dimens = ChatTheme.dimens,
).content()