package nand.apps.chat.audio

import nand.apps.audio.AudioFrame
import nand.apps.audio.AudioHandle
import okio.Path

class TestAudioPlayer : AudioPlayer {

    override fun queueSound(name: String): AudioHandle {
        return TestAudioHandle()
    }

    override fun queueFile(path: Path, startTime: Double): AudioHandle {
        return TestAudioHandle(timestamp = startTime)
    }

    override fun queueFrame(frame: AudioFrame, last: AudioHandle?): AudioHandle {
        return TestAudioHandle()
    }

    override fun stopSound(handle: AudioHandle) {
        (handle as TestAudioHandle).seekTo(0.0)
    }
}