package nand.apps.chat.net

class TestFileUploader : FileUploader {

    private val mockResponses = mutableMapOf<String, String?>()

    override suspend fun upload(filePath: String): String? {
        return mockResponses[filePath]
    }

    fun mockResponse(filePath: String, responseUrl: String?) {
        mockResponses[filePath] = responseUrl
    }
}