package nand.apps.chat.dev

import nand.apps.chat.util.MutableStateFlowList

class DevConsoleRepo {

    private val lines = MutableStateFlowList<DevConsoleLine>()

    val lineObserver = lines
    
    fun appendLine(line: DevConsoleLine) {
        lines += line
    }
    
    fun clearLines() {
        lines.clear()
    }
}