# 📚 Le Biblioteche 📚

### [Core](core)
- Base data models and interfaces for the app
- Does not contain any UI code (except for **@Composable** interface functions)

### [Audio](audio)
- Base classes and interfaces for audio streaming

## Meet the Chat Engines 🚂

### [Tox](tox)
- Tox chat engine
- Data models
- Native interface

### [Matrix](matrix)
- Matrix chat engine (WIP)
- [Trixnity](https://trixnity.gitlab.io/trixnity/) event listeners
- Avatar image fetcher

### [Mock](mock)
- Mock chat engine for developer testing

## Other Things etc.

### [Gif](gif)
- [Giflib](https://giflib.sourceforge.net/) native interface

### [Opus](opus)
- Opus audio native interface
- File reader and writer

### [Mpeg](mpeg)
- MP3 audio native interface
- File reader (desktop only)
