package nand.apps.chat.audio

import nand.apps.audio.AudioFileWriter
import nand.apps.chat.model.audio.AudioMetadata

interface AudioFileWriterFactory {

    fun getFileWriter(
        path: String,
        sampleRate: Int,
        channels: Int,
        bitRate: Int,
        metadata: AudioMetadata? = null,
    ): AudioFileWriter
}