package nand.apps.chat.model.emoji

enum class Emoji(val value: String) {

    ROBOT_FACE("\uD83E\uDD16"),
    MONOCLE_FACE("\uD83E\uDDD0"),
    DISGUISED_FACE("\uD83E\uDD78"),
    FREEZING_FACE("\uD83E\uDD76"),
    STAR_EYES("\uD83E\uDD29"),
    COWBOY_FACE("\uD83E\uDD20"),
    NERD_FACE("\uD83E\uDD13"),
    THINKING_FACE("\uD83E\uDD14"),
    MIND_BLOWN("\uD83E\uDD2F"),
    
    LION_FACE("\uD83E\uDD81"),
    TIGER_FACE("\uD83D\uDC2F"),
    RABBIT_FACE("\uD83D\uDC30"),
    DRAGON_FACE("\uD83D\uDC32"),
    HORSE_FACE("\uD83D\uDC34"),
    DOG_FACE("\uD83D\uDC36"),
    PIG_FACE("\uD83D\uDC37"),
    FROG_FACE("\uD83D\uDC38"),
    HAMSTER_FACE("\uD83D\uDC39"),
    WOLF_FACE("\uD83D\uDC3A"),
    BEAR_FACE("\uD83D\uDC3B"),
    PANDA_FACE("\uD83D\uDC3C"),
    RACCOON_FACE("\uD83E\uDD9D"),
    SEAL("\uD83E\uDDAD"),
    CRAB("\uD83E\uDD80"),
    PARROT("\uD83E\uDD9C"),
    
    AVOCADO("\uD83E\uDD51"),
    EGG("\uD83E\uDD5A"),
    PEANUT("\uD83E\uDD5C"),
    KIWI("\uD83E\uDD5D"),
    PANCAKES("\uD83E\uDD5E"),
    FORTUNE_COOKIE("\uD83E\uDD60"),
    PRETZEL("\uD83E\uDD68"),
    MANGO("\uD83E\uDD6D"),
    MOON_CAKE("\uD83E\uDD6E"),
    BAGEL("\uD83E\uDD6F"),
    GARLIC("\uD83E\uDDC4"),
    ONION("\uD83E\uDDC5"),
    
    PRINCE("\uD83E\uDD34"),
    MEDAL("\uD83E\uDD47"),
    SHIT("\uD83D\uDCA9"),
    MOYAI("\uD83D\uDDFF"),
    ZOMBIE("\uD83E\uDDDF"),
    TEDDY_BEAR("\uD83E\uDDF8"),
    PINCHED_FINGERS("\uD83E\uDD0C"),
}

val CHAR_TO_EMOJI_CODE = mapOf(
    'A' to "\uD83C\uDDE6",
    'B' to "\uD83C\uDDE7",
    'C' to "\uD83C\uDDE8",
    'D' to "\uD83C\uDDE9",
    'E' to "\uD83C\uDDEA",
    'F' to "\uD83C\uDDEB",
    'G' to "\uD83C\uDDEC",
    'H' to "\uD83C\uDDED",
    'I' to "\uD83C\uDDEE",
    'J' to "\uD83C\uDDEF",
    'K' to "\uD83C\uDDF0",
    'L' to "\uD83C\uDDF1",
    'M' to "\uD83C\uDDF2",
    'N' to "\uD83C\uDDF3",
    'O' to "\uD83C\uDDF4",
    'P' to "\uD83C\uDDF5",
    'Q' to "\uD83C\uDDF6",
    'R' to "\uD83C\uDDF7",
    'S' to "\uD83C\uDDF8",
    'T' to "\uD83C\uDDF9",
    'U' to "\uD83C\uDDFA",
    'V' to "\uD83C\uDDFB",
    'W' to "\uD83C\uDDFC",
    'X' to "\uD83C\uDDFD",
    'Y' to "\uD83C\uDDFE",
    'Z' to "\uD83C\uDDFF",
)