package nand.apps.chat.model.group

enum class ChatGroupRole {
    FOUNDER,
    MODERATOR,
    USER,
    OBSERVER,
    ;

    fun hasAuthorityOver(other: ChatGroupRole) = when (this) {
        FOUNDER -> other != FOUNDER
        MODERATOR -> other == USER || other == OBSERVER
        else -> false
    }
}