package nand.apps.chat.model.notification

import nand.apps.chat.model.uid.NotificationUid
import nand.apps.chat.model.update.AppReleaseInfo

data class AppUpdateNotification(
    val release: AppReleaseInfo,
) : ChatNotification(
    uid = NotificationUid("app_update"),
    group = ChatNotificationGroup.APP_UPDATE,
)
