package nand.apps.chat.model.settings

import kotlinx.serialization.Serializable

@Serializable
data class EmbedSettingsData(
    val isEnabled: Boolean = true,
    val isImagesEnabled: Boolean = true,
    val maxDownloadSize: Long = 10_000_000, // 10 MB
    val enabledHosts: Set<String> = emptySet(),
)