package nand.apps.chat.model.settings.net

import kotlinx.serialization.Serializable

const val DEFAULT_REMOTE_SERVER_HOST = "127.0.0.1"
const val DEFAULT_REMOTE_SERVER_PORT = 5337

@Serializable
data class ChatRemoteSettingsData(
    val isEnabled: Boolean = false,
    val host: String = DEFAULT_REMOTE_SERVER_HOST,
    val port: Int = DEFAULT_REMOTE_SERVER_PORT,
)
