package nand.apps.chat.model.settings.net

import kotlinx.serialization.Serializable

private const val DEFAULT_NODES_URL = "https://nodes.tox.chat/json"

@Serializable
data class NetworkSettingsData(
    val isUdpEnabled: Boolean = true,
    val isIPv6Enabled: Boolean = true,
    val isLanEnabled: Boolean = true,
    val proxy: NetworkProxySettingsData? = null,
    val remoteSettings: ChatRemoteSettingsData = ChatRemoteSettingsData(),
    val toxNodesEndpointUrl: String = DEFAULT_NODES_URL,
)