package nand.apps.chat.model.settings.notifications

import kotlinx.serialization.Serializable

@Serializable
data class NotificationSettingsData(
    val isMessageNotificationsEnabled: Boolean = true,
    val isCallNotificationsEnabled: Boolean = true,
    val soundSettings: NotificationSoundSettings = NotificationSoundSettings(),
    val widgetSettings: ChatWidgetSettingsData = ChatWidgetSettingsData(),
    val traySettings: ChatTraySettingsData = ChatTraySettingsData(),
)