package nand.apps.chat.update

import nand.apps.chat.model.update.AppReleaseDownload
import nand.apps.chat.model.update.AppReleaseInfo
import okio.Path

interface AppUpdater {

    suspend fun checkLoop()

    suspend fun download(request: AppReleaseDownload, onProgress: (Int) -> Unit): Path?

    suspend fun getLatestReleaseInfo(): AppReleaseInfo?
}