# Tox Library Module

Welcome to Tox country.

This library module is where all the Tox-specific functionality of the app is stored, except UI code like the
[Bootstrap Nodes settings screen](../../composeApp/src/commonMain/kotlin/nand/apps/chat/ui/settings/net/tox/ToxNodeSettingsScreen.kt).

This module is broken up into two main parts:
- [Native interface and data models](src/commonMain/kotlin/nand/apps/tox)
- [Chat engine](src/commonMain/kotlin/nand/apps/chat/engine/tox)

## Native Interface

The [ToxNative](src/commonMain/kotlin/nand/apps/tox/ToxNative.kt) class and related [JNI](../../composeApp/native/jni/tox) is the bridge
between the app and [toxcore](https://github.com/TokTok/c-toxcore/tree/master). All native interface functions
belong to this class. Also, all interop classes should be under the [nand.apps.tox](src/commonMain/kotlin/nand/apps/tox) package.
These are **the rules**.

