package nand.apps.chat.engine.tox

import nand.apps.chat.engine.tox.dev.ToxDevCommandHandler
import nand.apps.chat.engine.tox.friend.ToxFriendSaver
import nand.apps.chat.engine.tox.group.ToxGroupSaver
import nand.apps.tox.net.ToxNodeManager
import org.koin.core.module.dsl.singleOf
import org.koin.dsl.module

fun getToxKoinModule() = module {
    singleOf(::ToxChatEngine)
    singleOf(::ToxChatEngineEncryption)
    singleOf(::ToxProfileAuthenticator)
    singleOf(::ToxDevCommandHandler)
    singleOf(::ToxChatEngineRepo)
    singleOf(::ToxChatEngineSaver)
    singleOf(::ToxFriendSaver)
    singleOf(::ToxGroupSaver)
    singleOf(::ToxChatEventHandler)
    single<ToxNodeManager> { get<ToxChatEngine>() }
}